Get warehouse status
GET
/api/v1/warehouses/{warehouse_id}/status
const url = 'https://example.com/api/v1/warehouses/example/status';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/warehouses/example/statusGet the current status of a SQL warehouse.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”warehouse_id
required
Warehouse Id
The ID of the warehouse
string
The ID of the warehouse
Header Parameters
Section titled “Header Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WarehouseStatusResponse
Response model for warehouse status - backwards compatible.
object
id
required
Id
Warehouse ID
string
state
required
State
Current warehouse state (RUNNING, STOPPED, etc.)
string
Examplegenerated
{ "id": "example", "name": "example", "state": "example", "cluster_size": "example", "min_num_clusters": 1, "max_num_clusters": 1, "auto_stop_mins": 1, "creator_name": "example", "jdbc_url": "example", "odbc_params": {}, "num_clusters": 1, "num_active_sessions": 1, "tags": { "additionalProperty": "example" }}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}